Loading...
Searching...
No Matches
Magick::DrawableClipUnits Class Reference
Inheritance diagram for Magick::DrawableClipUnits:

## Public Member Functions

| DrawableClipUnits (const ClipPathUnits units_)
void | operator() (MagickCore::DrawingWand *context_) const
void | units (const ClipPathUnits units_)
ClipPathUnits | units (void) const
DrawableBase * | copy () const

## Private Attributes

ClipPathUnits | _units

## Detailed Description

Definition at line 515 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableClipUnits()

Magick::DrawableClipUnits::DrawableClipUnits | ( | const ClipPathUnits | units_ | ) |

Definition at line 359 of file Drawable.cpp.

{
_units = units_;
}

## ~DrawableClipUnits()

Magick::DrawableClipUnits::~DrawableClipUnits | ( | void |  | ) |

Definition at line 364 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableClipUnits::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 384 of file Drawable.cpp.

{
return(new DrawableClipUnits(*this));
}

## operator()()

void Magick::DrawableClipUnits::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 368 of file Drawable.cpp.

{
DrawSetClipUnits(context_, _units);
}

## units() [1/2]

void Magick::DrawableClipUnits::units | ( | const ClipPathUnits | units_ | ) |

Definition at line 374 of file Drawable.cpp.

{
_units = units_;
}

## units() [2/2]

Magick::ClipPathUnits Magick::DrawableClipUnits::units | ( | void |  | ) | const

Definition at line 379 of file Drawable.cpp.

{
return(_units);
}

## Field Documentation

## _units

ClipPathUnits Magick::DrawableClipUnits::_units

private

Definition at line 533 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp